Subject: (IPng 7585) Re: Multicast Listener Discovery timing question

From: Cyndi Jung <[email-masked]>
Date: Wed, 02 Jun 1999 11:34:05 -0700

>Is my hypothese on the reason for doing MLD for link scope multicast correct?
>Is there an other reason for the following draft text ?
>
>    MLD messages ARE sent for multicast addresses whose scope is 2 (link-
>    local), including Solicited-Node multicast addresses [ADDR-ARCH], except
>    for the link-scope, all-nodes address (FF02::1).
>
>What is the behaviour for a router if it receives a multicast with scope = 2?
>Always drop it, or forward it in some cases? and if so, what case(s)?
>

I believe the router should silently discard these MLD messages, and
if it has no local client for scope=2 multicast discard those too.  The
current behavior for the switches that watch the IGMP messages is to
send all IPv4 multicast *data* packets to the router - using a variety
of methods to determine which ports have a router attached.

Cyndi
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------